> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert vote

> Create or update a vote



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /ai/votes
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /ai/votes:
    put:
      tags:
        - AI - Votes
      summary: Upsert vote
      description: Create or update a vote
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                chatUuid:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                  title: Chat UUID
                  description: Chat identifier.
                messageUuid:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                  title: Message UUID
                  description: Message identifier.
                isUpvoted:
                  type: boolean
                  title: Is upvoted
                  description: Whether the message is upvoted.
              required:
                - chatUuid
                - messageUuid
                - isUpvoted
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  vote:
                    type: object
                    properties:
                      workspaceUuid:
                        type: string
                      userUuid:
                        type: string
                      chatUuid:
                        type: string
                      messageUuid:
                        type: string
                      isUpvoted:
                        type: boolean
                      updatedAt:
                        type: string
                    required:
                      - workspaceUuid
                      - userUuid
                      - chatUuid
                      - messageUuid
                      - isUpvoted
                      - updatedAt
                    additionalProperties: false
                    title: Vote
                    description: Vote details.
                required:
                  - vote
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````